Bug 485897 - (perl-Variable-Magic) Review Request: perl-Variable-Magic - Associate user-defined magic to variables from Perl
Review Request: perl-Variable-Magic - Associate user-defined magic to variabl...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 05:45 EST by Allisson Azevedo
Modified: 2014-01-15 06:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 15:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-17 05:45:22 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-Variable-Magic/perl-Variable-Magic.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Variable-Magic/perl-Variable-Magic-0.30-1.fc10.src.rpm

Description: Magic is Perl way of enhancing objects. This mechanism let the user add
extra data to any variable and hook syntaxical operations (such as access,
assignation or destruction) that can be applied to it. With this module,
you can add your own magic to any variable without the pain of the C API.
Comment 1 manuel wolfshant 2009-02-17 19:51:54 EST
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package:0d89afaca4b16eab60df45f6f9a1442b7d6f9d34 Variable-Magic-0.30.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass


================
*** APPROVED ***
================
Comment 2 Allisson Azevedo 2009-02-17 20:39:19 EST
New Package CVS Request
=======================
Package Name: perl-Variable-Magic
Short Description: Associate user-defined magic to variables from Perl
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-18 15:02:29 EST
cvs done.
Comment 4 Emmanuel Seyman 2010-05-13 15:45:55 EDT
I'm adding perl-sig to InitialCC.

Package Change Request
======================
Package Name: perl-Variable-Magic
Owners: eseyman
InitialCC: perl-sig
Comment 5 Dennis Gilmore 2010-05-13 18:52:12 EDT
you can do that yourself via the pkgdb web interface
Comment 6 Paul Howarth 2014-01-15 05:59:02 EST
Emmanuel, I need this package for EPEL-7; are you interested in packaging for EPEL-7? I can branch and build it if you're busy at the moment.
Comment 7 manuel wolfshant 2014-01-15 06:03:00 EST
I was only the reviewer of the package , please be as kind as to ask Allisson.

  manuel
Comment 8 Paul Howarth 2014-01-15 06:08:56 EST
I was asking Emmanuel Seyman, current owner of the package. Thanks for the quick response though!
Comment 9 Emmanuel Seyman 2014-01-15 06:33:33 EST
(In reply to Paul Howarth from comment #6)
>
> Emmanuel, I need this package for EPEL-7; are you interested in packaging
> for EPEL-7?

I'm not a EPEL user so I'ld rather someone else maintain the package. But feel free to ask for a EPEL7 branch and put me down as a co-maintainer.
Comment 10 Paul Howarth 2014-01-15 06:45:17 EST
I'll get the branch done and then you can give me ownership and add yourself as co-maintainer.

Note You need to log in before you can comment on or make changes to this bug.